<?php

namespace App\Repository;

use App\Entity\Station;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method Station|null find($id, $lockMode = null, $lockVersion = null)
 * @method Station|null findOneBy(array $criteria, array $orderBy = null)
 * @method Station[]    findAll()
 * @method Station[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class StationRepository extends ServiceEntityRepository {

    public function __construct(ManagerRegistry $registry) {
        parent::__construct($registry, Station::class);
    }

    // /**
    //  * @return Station[] Returns an array of Station objects
    //  */
    /*
      public function findByExampleField($value)
      {
      return $this->createQueryBuilder('s')
      ->andWhere('s.exampleField = :val')
      ->setParameter('val', $value)
      ->orderBy('s.id', 'ASC')
      ->setMaxResults(10)
      ->getQuery()
      ->getResult()
      ;
      }
     */

    /*
      public function findOneBySomeField($value): ?Station
      {
      return $this->createQueryBuilder('s')
      ->andWhere('s.exampleField = :val')
      ->setParameter('val', $value)
      ->getQuery()
      ->getOneOrNullResult()
      ;
      }
     */

    public function transform(Station $station) {
        return [
            'id' => (string) $station->getSlug(),
            'frequence' => (string) $station->getFrequence(),
            'nom' => (string) $station->getName(),
			'image' => (string) $station->getImage(),
			'media' => (string) $station->getMedia()
        ];
    }

    /**
     * @return Station[] Returns an array of Station objects
     */
    public function transformAll() {
        $stations = $this->findAll();
        $stationArray = [];

        foreach ($stations as $station) {
            $stationArray[] = $this->transform($station);
        }
        return $stationArray;
    }
	
	/**
     * @return Station[] Returns an array of Station objects
     */
    public function transformOne($id) {
        $station = $this->findOneBySlug($id);
        return $this->transform($station);
    }

}
